aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2012-05-06 20:00:27 +0100
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2012-05-06 20:00:27 +0100
commita3fec0e99a9e429ea24feff5cfa52c683dc51015 (patch)
treed68394dbd185709f31b06368882325743a14dbfa
parentdbef6620988cd22658822855284fe63e19c1005a (diff)
downloadpaludis-a3fec0e99a9e429ea24feff5cfa52c683dc51015.tar.gz
paludis-a3fec0e99a9e429ea24feff5cfa52c683dc51015.tar.xz
Gentoo doesn't use -j1 for src_test
-rw-r--r--paludis/repositories/e/ebuild/0/src_test.bash4
-rw-r--r--paludis/repositories/e/ebuild/2/src_test.bash4
2 files changed, 4 insertions, 4 deletions
diff --git a/paludis/repositories/e/ebuild/0/src_test.bash b/paludis/repositories/e/ebuild/0/src_test.bash
index a370f73..cd6bebe 100644
--- a/paludis/repositories/e/ebuild/0/src_test.bash
+++ b/paludis/repositories/e/ebuild/0/src_test.bash
@@ -26,10 +26,10 @@ src_test()
echo "Makefile found, looking for potential test targets"
if make -j1 -n check ; then
echo "Found check target"
- emake -j1 check || die "make check failed"
+ emake check || die "make check failed"
elif make -j1 -n test ; then
echo "Found test target"
- emake -j1 test || die "make test failed"
+ emake test || die "make test failed"
else
echo "No check or test target, skipping tests"
fi
diff --git a/paludis/repositories/e/ebuild/2/src_test.bash b/paludis/repositories/e/ebuild/2/src_test.bash
index f4bc43c..de0f5fd 100644
--- a/paludis/repositories/e/ebuild/2/src_test.bash
+++ b/paludis/repositories/e/ebuild/2/src_test.bash
@@ -26,10 +26,10 @@ default_src_test()
echo "Makefile found, looking for potential test targets"
if make -j1 -n check ; then
echo "Found check target"
- emake -j1 check || die "make check failed"
+ emake check || die "make check failed"
elif make -j1 -n test ; then
echo "Found test target"
- emake -j1 test || die "make test failed"
+ emake test || die "make test failed"
else
echo "No check or test target, skipping tests"
fi